summaryrefslogtreecommitdiffstats
path: root/gendocs.sh
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-03-21 09:27:12 +0100
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-03-22 11:10:06 +0100
commit34a904c68e61e3198a7a8a4e5733a2442c79d4c7 (patch)
tree0e5041e7a4d3d746dc62675e960565c33acd6b19 /gendocs.sh
parent71263838ac1b62e65cf65b5e7e9105b69f71bcd5 (diff)
Print status when pdf file has been generated.
Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh>
Diffstat (limited to 'gendocs.sh')
-rwxr-xr-xgendocs.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/gendocs.sh b/gendocs.sh
index 078fb95..a0f6e5c 100755
--- a/gendocs.sh
+++ b/gendocs.sh
@@ -57,7 +57,9 @@ if [ "$DO_ACTION" = "pdf" -o "$DO_ACTION" = "serve" ]; then
[ "$?" = "1" ] && { echo "You must install calibre first, using: 'sudo apt install calibre' or refer to https://calibre-ebook.com/download"; exit 1; }
if [ "$DO_ACTION" = "pdf" ]; then
- $DRY $GITBOOK pdf $ROOTDIR $OUT_DIR/LowLevelCanBinding_Guide.pdf $DEBUG_FLAG
+ OUTFILE=$OUT_DIR/LowLevelCanBinding_Guide.pdf
+ $DRY $GITBOOK pdf $ROOTDIR $OUTFILE $DEBUG_FLAG
+ [ "$?" = "0" ] && echo "PDF has been successfully generated in $OUTFILE"
else
$DRY $GITBOOK serve $DEBUG_FLAG
fi